## org.eclipse.emf.compare.diff.merge
Class MergeEvent

    java.lang.Object
      org.eclipse.emf.compare.diff.merge.MergeEvent

    public class MergeEvent

extends java.lang.Object

An event characterizing a merge operation. Holds information about the DiffElement(s) that is(are) about to be merged (or which has just been merged) and the merger that handled the operation.

Constructor Summary
`MergeEvent(DiffElement diff)` Constructs a new merge event given the `IMerger` in charge and a single target `DiffElement`.
`MergeEvent(java.util.List<DiffElement> diffs)` Constructs a new merge event given the `IMerger` in charge and a list of targeted `DiffElement`s.

Method Summary
`java.util.List<DiffElement>` `getDifferences()` Returns the DiffElement(s) targeted by the underlying operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeEvent

    public MergeEvent(DiffElement diff)

  Constructs a new merge event given the `IMerger` in charge and a single target `DiffElement`.

  Parameters:
    `diff` - `DiffElement` which holds the information for this merge operation.

### MergeEvent

    public MergeEvent(java.util.List<DiffElement> diffs)

  Constructs a new merge event given the `IMerger` in charge and a list of targeted `DiffElement`s.

  Parameters:
    `diffs` - `DiffElement`s which holds the information for this merge operation.

Method Detail

### getDifferences

    public java.util.List<DiffElement> getDifferences()

  Returns the DiffElement(s) targeted by the underlying operation.

  Returns:
    The DiffElement(s) targeted by the underlying operation.

Copyright 2006 IBM Corporation and others. All Rights Reserved.